var iOpcionRecurso;
var OPC_Recurso_MAX = 8;

function Pag_Recurso_Show(iOpc) {
	iOpcionRecurso = 0;
	Page_Show("Pag_Recurso",
		 '<table id="Pag_Recurso" width="720px" cellpadding="0" cellspacing="0" style="table-layout: fixed; background-image: url(fondo_menu.png);">'
		+'<tr height="88px">'
		+'	<td width="67px"/>'
		+'	<td width="202px" valign="bottom" style="color:#ffffff; font-size:18pt;">&nbsp;Parametros de red</td>'
		+'	<td width="298px" valign="bottom" align="right" class="font15">' + ObtenerHoraActual() + '</td>'
		+'	<td width="150px"/>'
		+'</tr>'
		+'<tr height="7px"/>'
		+'<tr height="455px">'
		+'	<td/>'
		+'	<td valign="top"><table width="202px" cellpadding="0px" cellspacing="0px" style="table-layout: fixed">'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion1" class="font16" style="background-repeat: no-repeat;' + ((iOpc==1 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Servidor PC1</td></tr>'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion2" class="font16" style="background-repeat: no-repeat;' + ((iOpc==2 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Ruta PC1</td></tr>'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion3" class="font16" style="background-repeat: no-repeat;' + ((iOpc==3 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Servidor PC2</td></tr>'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion4" class="font16" style="background-repeat: no-repeat;' + ((iOpc==4 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Ruta PC2</td></tr>'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion5" class="font16" style="background-repeat: no-repeat;' + ((iOpc==5 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Servidor PC3</td></tr>'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion6" class="font16" style="background-repeat: no-repeat;' + ((iOpc==6 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Ruta PC3</td></tr>'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion7" class="font16" style="background-repeat: no-repeat;' + ((iOpc==7 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Servidor PC4</td></tr>'
		+'		<tr height="34px"><td id="Pag_Recurso_Opcion8" class="font16" style="background-repeat: no-repeat;' + ((iOpc==8 )?"background-image: url(cursor_red.png)":"") + ';">&nbsp;&nbsp;Ruta PC4</td></tr>'
		+'	</table></td>'
		+'	<td id="Pag_Recurso_Form" valign="top" align="left" colspan="2"></td>'
		+'</tr>'
		+'</table>');
	if (iOpc > 0) ActualizarRecurso(iOpc);
}

function Pag_Recurso_Close() {
	Pag_Menu_Show(OPC_Menu_Recurso);
}

function Pag_Recurso_KeyDown(keyChar) {
	try {
		switch (keyChar) {
		case KEY_UP:
			ActualizarRecurso(iOpcionRecurso - 1);
			return 0;
		case KEY_DOWN:
			ActualizarRecurso(iOpcionRecurso + 1);
			return 0;
		case KEY_BACK:
		case KEY_LEFT:
			Pag_Recurso_Close();
			return 0;
		case KEY_OK:
		case KEY_RIGHT:
			switch (iOpcionRecurso) {
			case 1: case 3: case 5: case 7:
				Pag_Recurso_ServidorNFS_Show(iOpcionRecurso);
				return 0;
			default:
				Pag_Recurso_RutaNFS_Show(iOpcionRecurso);
				return 0;
			}
		}
	} catch(ex) {
		alert("Pag_Recurso_KeyDown: " + ex); 
	}
	return 1;
}

function ActualizarRecurso(iOpc) {
	if (iOpcionRecurso > 0) {
		document.getElementById("Pag_Recurso_Opcion" + iOpcionRecurso).style.backgroundImage="none";
	}
	iOpcionRecurso = iOpc;
	if (iOpcionRecurso < 1) iOpcionRecurso = OPC_Recurso_MAX;
	if (iOpcionRecurso > OPC_Recurso_MAX) iOpcionRecurso = 1;
	document.getElementById("Pag_Recurso_Opcion" + iOpcionRecurso).style.backgroundImage="url(cursor_red.png)";
}
